%define major                 1
%define libname               %mklibname netfilter_queue %{major}
%define libnamedevel          %mklibname netfilter_queue -d
%define libnamedevelold       %{mklibname netfilter_queue 1}-devel
%define libnamestaticdevel    %mklibname netfilter_queue -d -s
%define libnamestaticdevelold %{mklibname netfilter_queue 1}-static-devel

Name:           libnetfilter_queue
Version:        0.0.17
Release:        %mkrel 1
Epoch:          0
Summary:        Provides an API for packets that have been queued by the kernel packet filter
Group:          System/Libraries
License:        GPL
URL:            http://www.netfilter.org/projects/libnetfilter_queue/index.html
Source0:        http://www.netfilter.org/projects/libnetfilter_queue/files/libnetfilter_queue-%{version}.tar.bz2
Source1:        http://www.netfilter.org/projects/libnetfilter_queue/files/libnetfilter_queue-%{version}.tar.bz2.sig
BuildRequires:  nfnetlink-devel >= 0:0.0.38
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
libnetfilter_queue is a userspace library providing an API to
packets that have been queued by the kernel packet filter. It is
part of a system that deprecates the old ip_queue/libipq mechanism.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{epoch}:%{version}-%{release}
Provides:       netfilter_queue = %{epoch}:%{version}-%{release}

%description -n %{libname}
libnetfilter_queue is a userspace library providing an API for
packets that have been queued by the kernel packet filter. It is
part of a system that deprecates the old ip_queue/libipq mechanism.

%package -n %{libnamedevel}
Summary:        Development files for %{name}
Group:          System/Libraries
Obsoletes:      %{libnamedevelold} < %{epoch}:%{version}-%{release}
Provides:       netfilter_queue-devel = %{epoch}:%{version}-%{release}
Requires:       %{libname} = %{epoch}:%{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%package -n %{libnamestaticdevel}
Summary:        Static development files for %{name}
Group:          System/Libraries
Obsoletes:      %{libnamestaticdevelold} < %{epoch}:%{version}-%{release}
Provides:       netfilter_queue-static-devel = %{epoch}:%{version}-%{release}
Requires:       %{libnamedevel} = %{epoch}:%{version}-%{release}

%description -n %{libnamestaticdevel}
This package contains the static development files for %{name}.

%prep
%setup -q

%build
%{configure2_5x}
%{make}

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%check
%{make} check

%clean
%{__rm} -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files -n %{libname}
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/*.so.*

%files -n %{libnamedevel}
%defattr(-,root,root,-)
%{_includedir}/libnetfilter_queue
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnetfilter_queue.pc
%{_libdir}/*.la

%files -n %{libnamestaticdevel}
%defattr(-,root,root,-)
%{_libdir}/*.a


%changelog
* Mon Mar 16 2009 Jérôme Soyer <saispo@mandriva.org> 0:0.0.17-1mdv2009.1
+ Revision: 355843
- New upstream release

* Sun Jul 27 2008 David Walluck <walluck@mandriva.org> 0:0.0.16-1mdv2009.0
+ Revision: 250517
- 0.0.16

* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.0.15-4mdv2009.0
+ Revision: 240983
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 04 2007 David Walluck <walluck@mandriva.org> 0:0.0.15-2mdv2008.0
+ Revision: 79236
- chrpath is no longer required when building
- 0.0.15
- new lib policy

* Thu May 24 2007 David Walluck <walluck@mandriva.org> 0:0.0.13-3mdv2008.0
+ Revision: 30590
- rebuild

* Thu May 24 2007 David Walluck <walluck@mandriva.org> 0:0.0.13-2mdv2008.0
+ Revision: 30565
- rebuild for new libnfnetlink-devel

* Wed May 23 2007 David Walluck <walluck@mandriva.org> 0:0.0.13-1mdv2008.0
+ Revision: 30371
- 0.13


* Fri Sep 15 2006 David Walluck <walluck@mandriva.org> 0:0.0.12-1mdv2007.0
- release

